xml-commons-resolver API: Class XParseError

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.apps
Class XParseError

    java.lang.Object
      |
      +--org.apache.xml.resolver.apps.XParseError

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

public class XParseError
extends java.lang.Object
implements org.xml.sax.ErrorHandler

An ErrorHandler for xparse.

This class is just the error handler for xparse.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM
See Also:
  `xparse`

Constructor Summary
`XParseError(boolean errors, boolean warnings)` Constructor

Method Summary
`void` | `error(org.xml.sax.SAXParseException exception)` SAX2 API
`void` | `fatalError(org.xml.sax.SAXParseException exception)` SAX2 API
`int` | `getErrorCount()` Return the error count
`int` | `getFatalCount()` Return the fatal error count
`int` | `getMaxMessages()` Return the number of messages to display
`int` | `getWarningCount()` Return the warning count
`void` | `setMaxMessages(int max)` Set the number of messages to display
`void` | `warning(org.xml.sax.SAXParseException exception)` SAX2 API

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XParseError

    public XParseError(boolean errors,
                       boolean warnings)

  Constructor

Method Detail

### getErrorCount

    public int getErrorCount()

  Return the error count

### getFatalCount

    public int getFatalCount()

  Return the fatal error count

### getWarningCount

    public int getWarningCount()

  Return the warning count

### getMaxMessages

    public int getMaxMessages()

  Return the number of messages to display

### setMaxMessages

    public void setMaxMessages(int max)

  Set the number of messages to display

### error

    public void error(org.xml.sax.SAXParseException exception)

  SAX2 API
  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)

  SAX2 API
  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException exception)

  SAX2 API
  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.